SmartGare
API referenceEndpoints

Search vehicles

Returns a page of vehicles matching optional text, carrier, type and status.

GET/referential/v1/vehicles

Returns a page of vehicles matching optional text, carrier, type and status.

AuthorizationBearer <token>

In: header

Query Parameters

search?string

Matches part of a plate, fleet number or identifier value.

Defaultnull
carrierId.value?string
fleetNumber?string

Matches part of a fleet number.

Defaultnull
type?string

Vehicle category code; unknown is not-found.

Defaultnull
status?string

Vehicle lifecycle status.

Defaultnull

Value in

  • "ACTIVE"
  • "SUSPENDED"
permitCoversToday?boolean

Keep only vehicles a non-revoked permit covers today (true), or only those none covers (false); computed at read time.

Defaultnull
sort?string

Result ordering.

Defaultnull

Value in

  • "plateAsc"
  • "plateDesc"
  • "newest"
  • "oldest"
page?integer

Zero-based page index.

Formatint32
Range0 <= value
Defaultnull
size?integer

Page size, at most 200.

Formatint32
Range0 <= value <= 200
Defaultnull

Response Body

*/*

curl -X GET "https://example.com/referential/v1/vehicles"
{  "data": [    {      "id": "string",      "carrierId": "string",      "type": "string",      "plateNumber": "string",      "fleetNumber": "string",      "brand": "string",      "model": "string",      "capacity": 0,      "seatingMode": "string",      "status": "string",      "suspensionReason": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "page": 0,  "size": 0,  "total": 0}